> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sandbox details

> Returns full details about a sandbox including status, IPs, and timestamps

Returns full details about a sandbox including status, IPs, and timestamps

### Path parameters

<ParamField path="sandboxId" type="string (uuid)" required>
  Unique sandbox identifier
</ParamField>

### Response

`Sandbox`

<ResponseField name="sandbox_id" type="string (uuid)" />

<ResponseField name="org_id" type="string" />

<ResponseField name="session_id" type="string" />

<ResponseField name="status" type="SandboxStatusEnum" />

<ResponseField name="pod_ip" type="string" />

<ResponseField name="created_at" type="string (date-time)" />

<ResponseField name="expires_at" type="string (date-time)" />

### Status codes

| Code  | Meaning         |
| ----- | --------------- |
| `200` | Sandbox details |
| `401` | —               |
| `404` | —               |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sandbox.stateset.app/api/v1/sandbox/{sandboxId}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "sandbox_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "org_id": "string",
    "session_id": "string",
    "status": "creating",
    "pod_ip": "string",
    "created_at": "2026-07-24T12:00:00Z",
    "expires_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
